#
# spec file for package aprsd (Version 2.1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  compat gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compat compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         aprsd
Copyright:    GPL
Group:        Networking/Hamradio
Provides:     aprsd
Autoreqprov:  on
Version:      2.1.4
Release:      104
Summary:      APRS Internet server program
Source:  aprsd214.tar.gz
Patch:   aprsd214.dif

%description
This is an APRS Internet server program.  It acts as a gateway between
the Internet and a local ham VHF APRS packet network. It is interfaced
directly to a TNC via one of the PC serial ports and does not use the Linux
ax25 sockets interface.

Authors:
--------
    Dale A. Heatherington <wa4dsy@wa4dsy.radio.org>

SuSE series: ham

%prep
%setup -n aprsd214
%patch -p0

%build
make

%install
DOCDIR=${defaultdocdir}/aprsd
set -x
./INSTALLDAEMON
install -m 644 rc.config.aprsd /var/adm/fillup-templates/rc.config.aprsd 
install -m 755 rc.aprsd /etc/init.d/aprsd
rm -f /usr/sbin/rcaprsd
ln -s ../../etc/init.d/aprsd /usr/sbin/rcaprsd  

%post
#!/bin/bash
echo "Updating etc/rc.config..."
if test -x bin/fillup ; then
    if test -e etc/rc.config.d/aprsd.rc.config ; then
        bin/fillup -q -t       -d "=" etc/rc.config.d/aprsd.rc.config var/adm/filup-templates/rc.config.aprsd
    else
        bin/fillup -q -t -r -i -d "=" etc/rc.config var/adm/fillup-templates/rc.config.aprsd etc/rc.config.d/aprsd.rc.config
        mv etc/rc.config.new etc/rc.config
    fi
    echo "Done."
else
    echo
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "/etc/rc.config or /etc/rc.config.d/aprsd.rc.config and"
    echo "/var/adm/fillup-templates/rc.config.aprsd and update manually."
fi
sbin/insserv etc/init.d/aprsd
exit 0

%files
%doc LIESMICH.SuSE README.SuSE aprsddoc.html ports.html udp_example
/usr/sbin/aprsd
/usr/sbin/aprspass
%config /etc/init.d/aprsd
/usr/sbin/rcaprsd
%config(noreplace) /var/lib/aprsd/INIT.TNC
%config(noreplace) /var/lib/aprsd/RESTORE.TNC
%config(noreplace) /var/lib/aprsd/welcome.txt
%config(noreplace) /etc/aprsd.conf
%config(noreplace) /etc/user.deny
/var/adm/fillup-templates/rc.config.aprsd

%changelog -n aprsd
* Mon Sep 24 2001 - jreuter@suse.de
- fixed rc script for LSB compliance (closes bug #8968)
* Thu Jan 04 2001 - ka@suse.de
- Don't start aprsd by default (START_APRSD=no)
* Sat Dec 02 2000 - ka@suse.de
- update to version 2.1.4
- added INIT INFO to init script
- fixed some texts from /sbin/init.d to /etc/init.d/
* Thu Nov 30 2000 - ro@suse.de
- startscript fixed
* Thu Nov 30 2000 - jreuter@suse.de
- changed group tag
* Mon Nov 13 2000 - ro@suse.de
- use -D_GNU_SOURCE for gethostbyname2
* Mon May 29 2000 - ka@suse.de
- update to version 2.1.1
- moved /usr/doc to /usr/share/doc (FHS)
- moved configuration from /etc/rc.config to /etc/rc.config.d
- made use of macros in spec file
- added group tag to spec file
- don't replace /var/lib/aprsd/welcome.txt during update
* Fri Mar 17 2000 - ka@suse.de
- update to version 2.1.0
- moved /var/lib/arpsd/aprsd.conf to /etc/aprsd.conf
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 06 1999 - bs@suse.de
- removed libgpp27 from neededforbuild
* Thu May 20 1999 - ro@suse.de
- no m486 on alpha
- include errno.h
* Tue Mar 30 1999 - ka@suse.de
- initial release
